//+------------------------------------------------------------------+
//|                                                     ATR Pips.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Joshua Jones"
#property link      "http://www.forexfactory.com"

// ----------------------------------------------------------------------------------------------------
// NOTE ON THE MODIFICATIONS:
// modified by doblece to show only actual ATR value; 
// if wanting to show as pips for a SL indication, just remove the line indicated with //***** REMOVE
// and restore the lines indicated with //***** RESTORE
// doblece - march 11, 2009
// ----------------------------------------------------------------------------------------------------

#property indicator_chart_window

//---- input parameters

extern int periods = 20;
extern double multiplier = 1;
extern int WhichCorner = 2;
extern int intFontSize=14;
extern string strFontName="Arial";
extern color clrTextColor=CornflowerBlue;
extern int XPos = 0;
extern int YPos = 5;

//int pipMult = 1;                           //***** RESTORE

double buffer[];
string prefix = "";
string strATRObjName = "THV3_ATR_Pips";


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  
   strATRObjName = "THV3_ATR_Pips";
   if (ObjectFind(strATRObjName) != -1) ObjectDelete(strATRObjName);
   createObject(strATRObjName, strFontName, intFontSize, "", clrTextColor, 
         XPos, YPos, WhichCorner);

//   if (StringFind(Symbol(),"JPY",0) != -1) //***** RESTORE
//  {                                        //***** RESTORE
//     pipMult = 1;                          //***** RESTORE
//  }                                        //***** RESTORE
                                             //***** RESTORE
//   if (multiplier != 1.0)                  //***** RESTORE
//   {                                       //***** RESTORE
//      int percentage = multiplier;         //***** RESTORE
//      prefix = percentage + "x ";          //***** RESTORE
//   }

   IndicatorShortName(prefix + "ATR (" + periods + ")");

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   if (ObjectFind(strATRObjName) != -1) ObjectDelete(strATRObjName);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+

int start()
  {
//      double stopLoss = MathCeil(pipMult * multiplier * (iATR(NULL,0,periods,0)));   //***** RESTORE
//      string strMsg = prefix + "ATR (" + periods + ") SL= " +                        //***** RESTORE
//           DoubleToStr(stopLoss, 0) + " pips";                                       //***** RESTORE
           
      double stopLoss = multiplier * (iATR(NULL,0,periods,0)); //***** REMOVE
      string strMsg = prefix + "ATR (" + periods + ") = " + stopLoss ;


      ObjectSetText(strATRObjName, strMsg, intFontSize, strFontName, clrTextColor);
      
      
      return(0);
  }
//+------------------------------------------------------------------+

//-----------------------------------------------------------------------------//
//  Create Label object
//-----------------------------------------------------------------------------//
void createObject(string strObjName, string tstrFontName,
                  int tintFontSize, string strTextChar,
                  color tclrTextColor, int intXPos, int intYPos,
                  int intCorner)
{
   ObjectCreate(strObjName, OBJ_LABEL, 0, 0, 0);
   ObjectSet(strObjName, OBJPROP_CORNER, intCorner);
   ObjectSet(strObjName, OBJPROP_COLOR, tclrTextColor);
   ObjectSet(strObjName, OBJPROP_XDISTANCE, intXPos);
   ObjectSet(strObjName, OBJPROP_YDISTANCE, intYPos);
   ObjectSetText(strObjName, strTextChar, tintFontSize, tstrFontName, tclrTextColor);
}

